Bug 855605 - (hexchat) Review Request: hexchat - GTK IRC Client
Review Request: hexchat - GTK IRC Client
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 06:29 EDT by Patrick Griffis
Modified: 2013-01-29 14:58 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-06 22:56:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Griffis 2012-09-09 06:29:46 EDT
Spec URL: https://raw.github.com/gist/d46fb97e48986938285d/c151edd6e29019e817e67eb22ab7bead4dee0c3f/hexchat.spec
SRPM URL: http://dl.dropbox.com/u/5510351/hexchat-2.9.1-1.fc17.src.rpm
Description: GTK IRC client based on XChat with many numourous fixes, bundled and supported plugins, and more actively developed in general. (note its a complete rebranding and does not conflict with xchat)
Fedora Account System Username: tingping

I do require a sponsor as this is my first package. I've done some packaging for Arch (https://aur.archlinux.org/packages.php?SeB=m&K=TingPing). I am a contributor to HexChat and work very closely with upstream.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4469273
rpmlint specfile: 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint package: hexchat.x86_64: W: no-manual-page-for-binary hexchat
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Patrick Griffis 2012-10-06 17:18:02 EDT
Updated to 2.9.2:
SPEC: https://raw.github.com/gist/58fc5bb98558d648768c/2f4392f97e1c641483c5164243ce2de3d8b97c08/hexchat.spec
SRPM: http://dl.dropbox.com/u/5510351/hexchat-2.9.2-1.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4567470
rpmlint specfile: 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint package: hexchat.x86_64: W: no-manual-page-for-binary hexchat
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 Patrick Griffis 2012-10-19 04:59:18 EDT
Updated to 2.9.3 and added license to doc:
SPEC: https://raw.github.com/gist/cac180a682f7976313c7/d7b7c0d7d716dc824de2b02053606435938e0781/hexchat.spec
SRPM: https://dl.dropbox.com/u/5510351/hexchat-2.9.3-1.fc17.src.rpm

rpmlint specfile: 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint package: hexchat.x86_64: E: incorrect-fsf-address /usr/share/doc/hexchat-2.9.3/COPYING
hexchat.x86_64: W: no-manual-page-for-binary hexchat
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
(upstream will be contacted about fsf-address)
Comment 3 Ricky Elrod 2012-10-21 15:44:13 EDT
Worth noting that there's a small licensing inconsistency here, that upstream refuses to look into fixing.

See https://github.com/hexchat/hexchat/pull/67

I'm not sure if it's a blocker or not, but basically the readme states the license is GPLv2, while everything else states GPLv2+.

Upstream's upstream (original xchat source) seems to have this issue as well, and was approved for packaging in Fedora, so this may not be a blocker, but is still worth noting, imo.
Comment 4 Patrick Griffis 2012-11-11 17:05:20 EST
Updated to 2.9.4:
SPEC: https://raw.github.com/gist/cac180a682f7976313c7/7eac191de0ee364827f4fd81ae8663bfbcaf536b/hexchat.spec

SRPM: http://dl.dropbox.com/u/5510351/hexchat-2.9.4-1.fc17.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4677933

rpmlint: rpmlint RPMS/x86_64/hexchat-2.9.4-1.fc17.x86_64.rpm
hexchat.x86_64: E: incorrect-fsf-address /usr/share/doc/hexchat-2.9.4/COPYING
Comment 5 Volker Fröhlich 2012-11-26 15:38:44 EST
Don't use macros for make, rm, chmod and install.

Header and source code files have executable permissions.

Please inform upstream to update the FSF address, if you haven't done it yet.

Make the build verbose so the exact command line becomes visible.

Drop the version constraints for glib2, gtk2 and bison. No maintained release has versions older than that.
Comment 7 Dan Mashal 2012-12-21 23:39:28 EST
Looking pretty good so far. I was able to build and install this manually and it worked good. 

One question, why aren't you using desktop-file-install?

I will post some more comments shortly. Adding a sponsor so you can get sponsored once I am done with the review, and he can review my review. :P

Will post some more comments in a few minutes.
Comment 9 Dan Mashal 2012-12-23 13:25:49 EST
Naming: OK
Licensing: OK GPLv2+ covers all the files in the tarball.

MUST:

Drop the following BRs: perl, autoconf, pkgconfig, gettext, bison 
Drop: dbus-devel (dbus-glib-devel) provides this.

Switch: perl(ExtUtils::Embed) to perl-ExtUtils-Embed
Add: intltool, libtool

Switch: "make %{?_smp_mflags}" to "make %{?_smp_mflags} V=1"


As per: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets

For icons and update-desktop-database switch to the following:

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


SHOULD: Fix incorrect FSF addresses.

Unless packaging for EPEL5 DROP:

Drop:
%clean
rm -rf $RPM_BUILD_ROOT

Drop:
-rf $RPM_BUILD_ROOT from %install
Comment 10 Dan Mashal 2012-12-23 13:42:03 EST
Also 3 other things:

1) Why are not using the following URL for the source?

https://github.com/downloads/hexchat/hexchat/%{name}-%{version}.tar.xz

2) Is there a reason for splitting the tcl, perl and python packages off? If not, drop them and include them in the main package.

3) Again unless packaging for EPEL5 you can also drop the BuildRoot section and the defattr part in the %files section.

Here is an example of the spec file I used with a successful build for F18:

http://vicodan.fedorapeople.org/hexchat.spec

Successful build on F18:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4816078


And one other thing:

You can switch %{_mandir}/man1/hexchat.1.gz to %{_mandir}/man1/*.gz
Comment 11 Dan Mashal 2012-12-23 14:40:19 EST
Submitted pull to fix incorrect FSF address:

https://github.com/hexchat/hexchat/pull/339
Comment 12 Patrick Griffis 2012-12-23 16:36:50 EST
1) Github is removing downloads and that source package had incorrect permissions anyway.

2) Why force everybody to install all the scripting langs?

I was told by upstream that he couldn't edit the license in any way including the address.
Comment 13 Dan Mashal 2012-12-23 16:40:34 EST
There's nothing wrong with the licensing, just the FSF address, I've submitted a pull request to upstream to fix all of the FSF errors already. See comment 11
Comment 15 Dan Mashal 2012-12-23 22:37:04 EST
New spec file looks good, but fails to build on i686.

Please remove the tcl plugin as it is deprecated upstream.

After removing tcl.so koji scratch build is successful on f18 i686/x86_64.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4816874
Comment 17 Dan Mashal 2012-12-23 23:08:13 EST
APPROVED.

Builds successfully on f16,f17,f18 koji.

Will get you a sponsor and they will also make sure everything is OK with my review since I'm not one myself.
Comment 18 Dan Mashal 2012-12-23 23:57:46 EST
Spoke with Rex about sponsorship. He will look at it in the morning.
Comment 19 Kevin Fenzi 2012-12-26 14:32:58 EST
A few minor things: 

1) Not a blocker at all, but I see there's a text frontend... is it useable/worth building? 

2) There's some more rpmlint warnings on permissions that would be good to clean up: 

hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/plugins.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/readme.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/tcl.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/changelog-xchat.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/hexchat-text.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/fishlim.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/dbus.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/faq.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/perl.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/changelog.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/python.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/hacking.md
hexchat.x86_64: W: spurious-executable-perm /usr/share/doc/hexchat-2.9.4/COPYING
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/chanopt.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/rawlog.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/checksum/checksum.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/sysinfo/hwmon.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/modes.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/chanopt.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/perl/perl.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/modes.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/proto-irc.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/textgui.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/history.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/proto-irc.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/history.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/util.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/search.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/hexchat.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/hexchat.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/chanview-tree.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/sysinfo/hwmon.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/pixmaps.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/rawlog.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/sysinfo/xsys.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/fkeys.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/fishlim/plugin_hexchat.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/sysinfo/xsys.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/fishlim/plugin_hexchat.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/fkeys.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/banlist.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/plugingui.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/banlist.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/plugingui.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/palette.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/python/python.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/palette.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/sysinfo/match.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/userlist.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/chanview.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/text.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/userlist.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/dccgui.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/chanview.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/sysinfo/pci.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/fishlim/misc.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/sysinfo/pci.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/tree.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/fishlim/misc.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/plugin-timer.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/menu.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/network.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/network.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/fe-gtk.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/sexy-spell-entry.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/chanview-tabs.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/doat/doat.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/fe-gtk.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/menu.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/fishlim/irc.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/plugin-tray.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/fishlim/irc.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/server.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/editlist.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/ctcp.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/ignoregui.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/plugin-tray.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/editlist.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/server.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/chanlist.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/outbound.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/outbound.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/chanlist.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/dcc.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/dcc.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/ssl.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/text.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/sysinfo/match.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/ssl.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/plugin.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/dbus/dbus-client.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/pixmaps.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/plugin.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/dbus/dbus-client.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/ascii.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/userlistgui.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/fishlim/keystore.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/userlistgui.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/fishlim/keystore.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/util.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/inbound.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/inbound.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/hexchat-plugin.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/ignore.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/url.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/search.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/notify.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/url.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/setup.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/gtkutil.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/joind.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/gtkutil.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/ctcp.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/textgui.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/ignore.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/fe.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/custom-list.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/custom-list.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/joind.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/servlist.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/dbus/dbus-plugin.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/servlist.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/tree.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/sysinfo/parse.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/fishlim/fish.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/servlistgui.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/sysinfo/parse.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/servlistgui.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/plugins/fishlim/fish.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/maingui.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/notifygui.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/maingui.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/notifygui.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/cfgfiles.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/notify.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/xtext.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/xtext.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/cfgfiles.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/common/hexchatc.h
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/about.c
hexchat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hexchat-2.9.4/src/fe-gtk/urlgrab.c

Otherwise things look in great shape and you can fix those warnings before importing. 
Thanks for reviewing dan...

I'll go ahead and sponsor you. If you have any questions at all, please drop me an email or catch me on irc (nirik in #fedora-devel) and I will be happy to assist.

The next step will be https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner
Comment 20 Dan Mashal 2012-12-26 16:01:32 EST
Thanks Kevin. I'll work with the maintainer to ensure these get fixed.
Comment 21 Patrick Griffis 2012-12-26 20:57:32 EST
Text frontend is useless and blame Dan for the permissions I changed the source to a package with proper permissions and he changed it back :P
Comment 22 Dan Mashal 2012-12-26 22:28:56 EST
New Package SCM Request
=======================
Package Name: hexchat
Short Description: GTK IRC Client
Owners: tingping vicodan
Branches: f16 f17 f18
Comment 23 Kevin Fenzi 2012-12-27 16:48:38 EST
Git done (by process-git-requests).
Comment 24 Fedora Update System 2012-12-28 03:36:52 EST
hexchat-2.9.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/hexchat-2.9.4-1.fc17
Comment 25 Fedora Update System 2012-12-28 03:37:08 EST
hexchat-2.9.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hexchat-2.9.4-1.fc16
Comment 26 Fedora Update System 2012-12-28 03:37:19 EST
hexchat-2.9.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hexchat-2.9.4-1.fc18
Comment 27 Fedora Update System 2012-12-28 17:17:25 EST
hexchat-2.9.4-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 28 Fedora Update System 2013-01-06 22:56:58 EST
hexchat-2.9.4-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 29 Fedora Update System 2013-01-07 02:25:00 EST
hexchat-2.9.4-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 30 Fedora Update System 2013-01-11 18:48:31 EST
hexchat-2.9.4-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 31 Patrick Griffis 2013-01-12 03:21:42 EST
Package Change Request
======================
Package Name: hexchat
New Branches: el6
Owners: tingping vicodan
Comment 32 Jon Ciesla 2013-01-12 19:56:31 EST
Git done (by process-git-requests).
Comment 33 Fedora Update System 2013-01-13 03:06:13 EST
hexchat-2.9.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/hexchat-2.9.4-1.el6
Comment 34 Fedora Update System 2013-01-29 14:58:11 EST
hexchat-2.9.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.